%define pkg_summary     An open extensible IDE
#%define tomcat4_dir     %{_var}/tomcat4
%define section         free
%define swt_version     2135
%define eclipse_major   2
%define eclipse_minor   1
%define eclipse_majmin  %{eclipse_major}.%{eclipse_minor}
%define eclipse_micro   2
%define libname         libswt2
%define eclipse_arch    x86
#%define tomcat_plug	com.sysdeo.eclipse.tomcat_2.2.1
#%define easy_struts	com.cross.easystruts.eclipse_0.6.4

%define qtdir %(test -e %{_sysconfdir}/profile.d/qt.sh && . %{_sysconfdir}/profile.d/qt.sh ; if test -z "$QTDIR"; then echo %{_libdir}/qt3; else echo "$QTDIR"; fi)

# XXX - Do not enable this unless you know what you are doing. We will not
# accept reports on the motif vesion unless you are providing a fix.
%{!?_with_motif: %{!?_without_motif: %define _without_motif --without-motif}}

Summary:        %{pkg_summary}
Name:           eclipse
Version:        %{eclipse_majmin}.%{eclipse_micro}
Release:        6jpp.3AX
Epoch:          0
License:        CPL
Group:          Text Editors/Integrated Development Environments (IDE)
URL:            http://www.eclipse.org/
Source0:        http://download2.eclipse.org/downloads/drops/R-2.1.2-200311030802/eclipse-sourceBuild-srcIncluded-2.1.2.zip
Source1:        %{name}.script
Source2:        %{name}.desktop
Source3:        %{name}-16.png
Source4:        %{name}-32.png
Source5:        %{name}-48.png
Source6:        %{name}.conf
Source7:        %{name}-jdt.install
Source8:        %{name}-pde.install     
Source9:        %{name}-platform.install
Source10:       %{name}-source.install
Source11:       %{name}-webdav-ftp.install
Source12:       libswt%{eclipse_majmin}-gtk2-java.install
Source13:       libswt%{eclipse_majmin}-motif-java.install
Source14:       %{name}-gtk.install
Source15:       %{name}-motif.install
#Source16:       tomcatPluginV221.zip
#Source17:       org.easystruts.eclipse_0.6.4.zip
Patch0:         %{name}-make-gtk.patch
Patch1:         %{name}-make-core.patch
Patch2:         %{name}-make-gtk2.patch
Patch3:         %{name}-make-ld.patch
Patch4:         %{name}-build-motif.xml.patch
Patch5:         %{name}-build.xml.patch
Patch6:         %{name}-help-webapp.patch
Patch7:         %{name}-motif-feature-build.xml.patch
Patch8:         %{name}-new_addsite_param.patch
Patch9:         %{name}-org.eclipse.core.resources-Makefile.patch
Patch10:        %{name}-org.eclipse.ui-emacs-keybindings.patch
Patch11:        %{name}-org.eclipse.ui.workbench.texteditor.patch
Patch12:        %{name}-PDE_build_with_NLS.patch
Patch13:        %{name}-refactor_rename1.patch
Patch14:        %{name}-refactor_rename2.patch
Patch15:        %{name}-make-motif.patch
Patch16:        %{name}-make-motif-launcher.patch
Patch17:        %{name}-gtk-enable-deprecated.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  ant, ant-optional, perl, junit
# xml-commons-apis disabled due to
# http://developer.java.sun.com/developer/bugParade/bugs/4749727.html
#BuildRequires:  xml-commons-apis
BuildRequires:  jakarta-commons-logging, servlet24, lucene, regexp >= 0:1.2
BuildRequires:  jpackage-utils >= 0:1.5, make, gcc
# MDK 9.1 libgnome-vfs2_0-devel
# RH 8.0, 9, FC 1: gnome-vfs2-devel
BuildRequires:  %{_libdir}/pkgconfig/gnome-vfs-2.0.pc
# MDK 9.1: libgtk+2.0_0-devel
# RH 8.0, 9, FC 1: gtk2-devel
BuildRequires:  %{_libdir}/pkgconfig/gtk+-2.0.pc
# MDK 9.1: libglib2.0_0-devel
# RH 8.0, 9, FC 1: glib2-devel
BuildRequires:  %{_libdir}/pkgconfig/gthread-2.0.pc
%if %{?_with_motif:1}%{!?_with_motif:0}
# These next three are needed for motif support. Note that lesstif
# won't work, and that openmotif will unfortunately conflict with
# kdebase-nsplugins on Mandrake.
BuildRequires:  kdebase
# MDK 9.2: libqt-devel
# RH, FC: qt-devel
BuildRequires:  %{qtdir}/lib/libqt-mt.so
BuildRequires:  openmotif-devel
%endif

%description
The Eclipse Platform is designed for building integrated development
environments (IDEs) that can be used to create applications as diverse
as web sites, embedded Java(tm) programs, C++ programs, and Enterprise
JavaBeans(tm).

%package        platform
Summary:        Eclipse platform common files
Group:          Text Editors/Integrated Development Environments (IDE)
Requires:       ant, ant-optional, regexp >= 0:1.2
# xml-commons-apis disabled due to
# http://developer.java.sun.com/developer/bugParade/bugs/4749727.html
#Requires:       xml-commons-apis
Requires:       jakarta-commons-logging
Requires:       servlet24
Requires:       lucene
Provides:       %{name} = %{epoch}:%{version}
Obsoletes:	%{name}-sdk
Provides:	%{name}-sdk

%description    platform
Eclipse platform common files.  In addition to this, you'll need the
%if %{?_with_motif:1}%{!?_with_motif:0}
startup scripts and a UI package (either GTK2 or Motif) to be able to
%else
startup scripts and a UI package (GTK2) to be able to
%endif
run the IDE.

%package        gtk2
Summary:        GTK2 UI for the Eclipse IDE
Group:          Text Editors/Integrated Development Environments (IDE)
Provides:       %{name}-ui = %{epoch}:%{version}
Requires:       %{name}-platform = %{epoch}:%{version}
Requires:       %{name}-scripts = %{epoch}:%{version}
Requires:       %{libname}-gtk2 = %{epoch}:%{version}
Requires:       /usr/bin/mozilla
Requires:       /usr/sbin/update-alternatives

%description    gtk2
GTK2 UI for the Eclipse IDE.

%package        motif
Summary:        Motif UI for the Eclipse IDE
Group:          Text Editors/Integrated Development Environments (IDE)
Provides:       %{name}-ui = %{epoch}:%{version}
Requires:       %{name}-platform = %{epoch}:%{version}
Requires:       %{name}-scripts = %{epoch}:%{version}
Requires:       openmotif
Requires:       %{libname}-motif = %{epoch}:%{version}
Requires:       /usr/bin/mozilla
Requires:       /usr/sbin/update-alternatives

%description    motif
Motif UI for the Eclipse IDE.

%package        jdt
Summary:        Eclipse Java development tools
Group:          Text Editors/Integrated Development Environments (IDE)
Requires:       %{name}-ui = %{epoch}:%{version}, junit

%description    jdt
Eclipse Java developments tools.

%package        ftp-webdav
Summary:        Eclipse FTP and WebDAV plugins
Group:          Text Editors/Integrated Development Environments (IDE)
Requires:       %{name}-ui = %{epoch}:%{version}

%description    ftp-webdav
Eclipse FTP and WebDAV plugins.

%package        source
Summary:        Eclipse Source
Group:          Text Editors/Integrated Development Environments (IDE)

%description    source
Eclipse Source.

%package        pde
Summary:        Eclipse PDE
Group:          Text Editors/Integrated Development Environments (IDE)
Requires:       %{name}-ui = %{epoch}:%{version}
Requires:	%{name}-source = %{epoch}:%{version}

%description    pde
Eclipse PDE.

%package        scripts
Summary:        Eclipse startup scripts
Group:          Text Editors/Integrated Development Environments (IDE)
Requires:       %{name}-ui = %{epoch}:%{version}
Requires:       /usr/bin/perl

%description    scripts
Eclipse startup scripts.

%package        mdkmenu
Summary:        Mandrake menu entry for Eclipse
Group:          Text Editors/Integrated Development Environments (IDE)
Requires:       %{name}-scripts = %{epoch}:%{version}

%description    mdkmenu
This is a Mandrake menu system entry for Eclipse.

%package        legacymenu
Summary:        Legacy menu entry for Eclipse
Group:          Text Editors/Integrated Development Environments (IDE)
Requires:       %{name}-scripts = %{epoch}:%{version}
Conflicts:      redhat-menus

%description    legacymenu
This is a legacy menu system entry for Eclipse.

%package     -n %{libname}-gtk2
Summary:        SWT Library for GTK2
Group:          Text Editors/Integrated Development Environments (IDE)

%description -n %{libname}-gtk2
SWT Library for GTK2.

%package     -n %{libname}-motif
Summary:        SWT Library for Motif
Group:          Text Editors/Integrated Development Environments (IDE)

%description -n %{libname}-motif
SWT Library for Motif.

%prep
%setup -q -c
# Argh, patch(1) doesn't like paths with spaces?
patch -p1 \
  "plugins/org.eclipse.swt/Eclipse SWT PI/gtk/library/make_gtk.mak" < %{PATCH0}
%patch1 -p1
%patch2 -p1
patch -p1 \
  "plugins/org.eclipse.swt/Eclipse SWT PI/gtk/library/make_gtk.mak" < %{PATCH3}
%patch4 -p0
%patch5 -p0
patch -p1 \
  "plugins/org.eclipse.swt/Eclipse SWT PI/motif/library/make_linux.mak" < %{PATCH15}
%patch6 -p0
%patch7 -p0
%patch8 -p0
%patch9 -p0
%patch10 -p0
%patch11 -p0
%patch12 -p0
%patch13 -p0
pushd "plugins/org.eclipse.jdt.ui/ui refactoring"
%patch14 -p0
popd
%patch16 -p0
pushd "plugins/org.eclipse.swt/Eclipse SWT PI/gtk/library"
%patch17 -p0
popd

# Nuke platform-dependent libs and executables
find . -type f -name "*.s[lo]" -exec rm -f {} ';'
find plugins/platform-launcher/bin -type f -name eclipse -exec rm -f {} ';'

# That's a bit too verbose to me...
perl -pi -e 's|(<javac[^>]+verbose=)"true"|${1}"false"|g' \
  `find . -type f -name "build*.xml"`

# Fail on error...
perl -pi -e 's|failonerror="[A-Za-z]*"|failonerror="yes"|g' \
  `find . -type f -name "build*.xml"`

# Symlink JPackage jars

pushd plugins/org.junit && \
ln -sf %{_javadir}/junit.jar junit.jar && \
popd

pushd plugins/org.eclipse.core.resources/lib && \
ln -sf %{_javadir}/ant.jar ant.jar && \
popd

pushd plugins/org.apache.ant && \
ln -sf %{_javadir}/ant.jar ant.jar && \
ln -sf %{_javadir}/ant-optional.jar optional.jar && \
popd

pushd plugins/org.apache.xerces && \
# xml-commons-apis disabled due to
# http://developer.java.sun.com/developer/bugParade/bugs/4749727.html
#ln -sf %{_javadir}/xml-commons-apis.jar xmlParserAPIs.jar && \
# Xerces 2.0.1 or XML4J 4.0.7 needed here.
#ln -sf %{_javadir}/oldxerces-j2.jar xercesImpl.jar && \
popd

pushd plugins/org.apache.lucene && \
ln -sf %{_javadir}/lucene.jar lucene-1.2.jar && \
popd

# The tomcat stuff needs org.apache.jasper.compiler.JavaCompiler, which isn't
# in TC 4.1.21, but is in 4.0.6.
pushd plugins/org.eclipse.tomcat && \
#ln -sf %{tomcat4_dir}/bin/bootstrap.jar bootstrap.jar && \
#ln -sf %{tomcat4_dir}/server/lib/catalina.jar catalina.jar && \
ln -sf %{_javadir}/commons-logging.jar commons-logging.jar && \
ln -sf %{_javadir}/regexp.jar jakarta-regexp-1.2.jar && \
#ln -sf %{tomcat4_dir}/common/lib/jasper-compiler.jar jasper-compiler.jar && \
#ln -sf %{tomcat4_dir}/common/lib/jasper-runtime.jar jasper-runtime.jar && \
#ln -sf %{tomcat4_dir}/common/lib/naming-common.jar naming-common.jar && \
#ln -sf %{tomcat4_dir}/common/lib/naming-factory.jar naming-factory.jar && \
#ln -sf %{tomcat4_dir}/common/lib/naming-resources.jar naming-resources.jar &&\
ln -sf %{_javadir}/servlet.jar servlet.jar && \
#ln -sf %{tomcat4_dir}/server/lib/servlets-common.jar servlets-common.jar && \
#ln -sf %{tomcat4_dir}/server/lib/servlets-default.jar servlets-default.jar &&\
#ln -sf %{tomcat4_dir}/server/lib/servlets-invoker.jar servlets-invoker.jar &&\
#ln -sf %{tomcat4_dir}/server/lib/servlets-manager.jar servlets-manager.jar &&\
#ln -sf %{tomcat4_dir}/server/lib/servlets-manager.jar servlets-manager.jar &&\
#ln -sf %{tomcat4_dir}/server/lib/tomcat-coyote.jar tomcat-coyote.jar && \
#ln -sf %{tomcat4_dir}/server/lib/tomcat-http11.jar tomcat-http11.jar && \
#ln -sf %{tomcat4_dir}/server/lib/tomcat-util.jar tomcat-util.jar && \
popd


%build
CPPFLAGS="-I%{qtdir}/include"
export CPPFLAGS

pushd "plugins/org.eclipse.swt/Eclipse SWT/common/library"
cp -p callback.c callback.h make_common.mak swt.h \
  "../../../../org.eclipse.swt/Eclipse SWT PI/gtk/library"
popd

pushd "plugins/org.eclipse.swt/Eclipse SWT PI/gtk/library"
make \
GTKLIBS="`pkg-config --libs gtk+-2.0` `pkg-config --libs gthread-2.0`" \
JAVA_JNI="%{java_home}/include" \
JPACKAGE_CFLAGS="$RPM_OPT_FLAGS -I%{java_home}/include -I%{java_home}/include/linux" \
-f make_gtk.mak all
cp -p libswt-*.so ../../../../org.eclipse.swt.gtk/os/linux/%{eclipse_arch}
popd

pushd plugins/platform-launcher/library/gtk
make \
JPACKAGE_CFLAGS="$RPM_OPT_FLAGS" \
DEFAULT_OS="linux" \
DEFAULT_OS_ARCH="%{eclipse_arch}" \
DEFAULT_WS="gtk" \
PROGRAM_OUTPUT="eclipse" \
PROGRAM_NAME="Eclipse" \
-f make_gtk.mak clean all
cp -p eclipse ../../bin/linux/gtk
popd
cp -p plugins/platform-launcher/bin/linux/gtk/eclipse eclipse-gtk2

%if %{?_with_motif:1}%{!?_with_motif:0}
pushd "plugins/org.eclipse.swt/Eclipse SWT/common/library"
cp -p callback.c callback.h make_common.mak swt.h \
  "../../../../org.eclipse.swt/Eclipse SWT PI/motif/library"
popd

pushd "plugins/org.eclipse.swt/Eclipse SWT PI/motif/library"
make \
JPACKAGE_CFLAGS="$RPM_OPT_FLAGS" \
JAVA_HOME=%{java_home} \
JAVA_JNI="%{java_home}/include" \
QT_HOME="%{qtdir}" \
CC="gcc -I%{java_home}/include -I%{java_home}/include/linux" \
CXX="g++ -I%{java_home}/include -I%{java_home}/include/linux" \
-f make_linux.mak all make_kde
cp -p libswt*motif*.so ../../../../org.eclipse.swt.motif/os/linux/%{eclipse_arch}
popd

pushd plugins/platform-launcher/library/motif
make \
JPACKAGE_CFLAGS="$RPM_OPT_FLAGS" \
DEFAULT_OS="linux" \
DEFAULT_OS_ARCH="%{eclipse_arch}" \
DEFAULT_WS="motif" \
PROGRAM_OUTPUT="eclipse" \
PROGRAM_NAME="Eclipse" \
MOTIF_HOME="%{_prefix}" \
QT_HOME="%{qtdir}" \
LIBS="-L%{_prefix}/X11R6/lib -lXm -lXt -lX11" \
-f make_linux.mak clean all
cp -p eclipse ../../bin/linux/motif
popd
cp -p plugins/platform-launcher/bin/linux/motif/eclipse eclipse-motif
%endif

pushd plugins/org.eclipse.core.resources.linux/src
make JDK_INCLUDE="%{java_home}/include" JPACKAGE_CFLAGS="$RPM_OPT_FLAGS -I%{java_home}/include -I%{java_home}/include/linux"
cp -p libcore_*.so ../os/linux/%{eclipse_arch}
popd

pushd plugins/org.eclipse.update.core.linux/src
g++ $RPM_OPT_FLAGS -o  libupdate.so -shared *.cpp -I.  -I%{java_home}/include -I%{java_home}/include/linux
popd

ant -buildfile build.xml -Dos=linux -Dws=gtk -Dbuild.compiler=modern compile buildDoc gatherFeatureBinaries gatherFeatureSources
%if %{?_with_motif:1}%{!?_with_motif:0}
ant -buildfile build-motif.xml -Dos=linux -Dws=motif -Dbuild.compiler=modern compile gatherFeatureBinaries gatherFeatureSources
%endif

%install
rm -rf $RPM_BUILD_ROOT

ant -Dos=linux -Dws=gtk -Dbuild.compiler=modern install

install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
find features -type f -name "*.zip" -exec unzip -d $RPM_BUILD_ROOT%{_datadir}/%{name} {} \;

install -m 644 plugins/org.eclipse.platform/install.ini $RPM_BUILD_ROOT%{_datadir}/%{name}/install.ini
install -m 644 plugins/org.eclipse.platform/startup.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/startup.jar
rm -f $RPM_BUILD_ROOT%{_datadir}/%{name}/plugins/org.eclipse.platform_*/startup.jar
install -m 644 plugins/platform-launcher/bin/linux/gtk/icon.xpm  $RPM_BUILD_ROOT%{_datadir}/%{name}/icon.xpm

# binaries and libs
install -d -m 755 $RPM_BUILD_ROOT%{_libdir}/%{name}

install -m 755 eclipse-gtk2 $RPM_BUILD_ROOT%{_libdir}/%{name}/eclipse-gtk2
%if %{?_with_motif:1}%{!?_with_motif:0}
install -m 755 eclipse-motif $RPM_BUILD_ROOT%{_libdir}/%{name}/eclipse-motif
%endif
touch $RPM_BUILD_ROOT%{_libdir}/%{name}/eclipse

install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}

pushd $RPM_BUILD_ROOT%{_datadir}/%{name}
ln -sf %{_libdir}/%{name}/eclipse eclipse
popd

cp -p plugins/org.eclipse.update.core.linux/src/libupdate*.so $RPM_BUILD_ROOT%{_libdir}/%{name}
cp -p plugins/org.eclipse.core.resources.linux/os/linux/%{eclipse_arch}/libcore_*.so $RPM_BUILD_ROOT%{_libdir}/%{name}
cp -p plugins/org.eclipse.swt.gtk/os/linux/%{eclipse_arch}/libswt*gtk*.so $RPM_BUILD_ROOT%{_libdir}/%{name}
%if %{?_with_motif:1}%{!?_with_motif:0}
cp -p plugins/org.eclipse.swt.motif/os/linux/%{eclipse_arch}/libswt*motif*.so $RPM_BUILD_ROOT%{_libdir}/%{name}
%endif
cp -p 'plugins/org.eclipse.swt/Eclipse SWT PI/gtk/library'/*.so $RPM_BUILD_ROOT%{_libdir}/%{name}

pushd $RPM_BUILD_ROOT%{_libdir}/%{name}
chmod 755 eclipse-* *.so
popd

install -d -m 755 $RPM_BUILD_ROOT%{_jnidir}
install -d -m 755 $RPM_BUILD_ROOT%{_libdir}

## begin core lib symlinks

install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/plugins/org.eclipse.core.resources.linux_%{eclipse_majmin}.0/os/linux/%{eclipse_arch}
pushd $RPM_BUILD_ROOT%{_datadir}/%{name}/plugins/org.eclipse.core.resources.linux_%{eclipse_majmin}.0/os/linux/%{eclipse_arch}
ln -sf %{_libdir}/eclipse/libcore_2_1_0a.so libcore_2_1_0a.so
popd

install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/plugins/org.eclipse.update.core.linux_%{eclipse_majmin}.%{eclipse_micro}/os/linux
pushd $RPM_BUILD_ROOT%{_datadir}/%{name}/plugins/org.eclipse.update.core.linux_%{eclipse_majmin}.%{eclipse_micro}/os/linux
ln -sf %{_libdir}/eclipse/libupdate.so libupdate.so
popd

### end core lib symlinks

### begin libswt-gtk2 symlinks
pushd $RPM_BUILD_ROOT%{_libdir}
ln -sf %{_libdir}/%{name}/libswt-gtk-%{swt_version}.so libswt-gtk-%{swt_version}.so
ln -sf %{_libdir}/%{name}/libswt-pi-gtk-%{swt_version}.so libswt-pi-gtk-%{swt_version}.so
ln -sf %{_libdir}/%{name}/libswt-gnome-gtk-%{swt_version}.so libswt-gnome-gtk-%{swt_version}.so
popd

pushd $RPM_BUILD_ROOT%{_jnidir}
ln -sf %{_datadir}/%{name}/plugins/org.eclipse.swt.gtk_%{eclipse_majmin}.%{eclipse_micro}/ws/gtk/swt.jar swt-gtk-%{version}.jar
ln -sf %{_datadir}/%{name}/plugins/org.eclipse.swt.gtk_%{eclipse_majmin}.%{eclipse_micro}/ws/gtk/swt-pi.jar swt-pi-gtk-%{version}.jar
popd

pushd $RPM_BUILD_ROOT%{_datadir}/%{name}/plugins/org.eclipse.swt.gtk_%{eclipse_majmin}.%{eclipse_micro}/os/linux/%{eclipse_arch}
ln -sf %{_libdir}/libswt-gtk-%{swt_version}.so libswt-gtk-%{swt_version}.so
ln -sf %{_libdir}/libswt-pi-gtk-%{swt_version}.so libswt-pi-gtk-%{swt_version}.so
ln -sf %{_libdir}/%{name}/libswt-gnome-gtk-%{swt_version}.so libswt-gnome-gtk-%{swt_version}.so
popd

### end libswt-gtk2 symlinks

%if %{?_with_motif:1}%{!?_with_motif:0}
### begin libswt-motif symlinks

pushd $RPM_BUILD_ROOT%{_libdir}
ln -sf %{_libdir}/%{name}/libswt-motif-%{swt_version}.so libswt-motif-%{swt_version}.so
popd

pushd $RPM_BUILD_ROOT%{_jnidir}
ln -sf %{_datadir}/%{name}/plugins/org.eclipse.swt.motif_%{eclipse_majmin}.%{eclipse_micro}/ws/motif/swt.jar swt-motif-%{version}.jar
popd

pushd $RPM_BUILD_ROOT%{_datadir}/%{name}/plugins/org.eclipse.swt.motif_%{eclipse_majmin}.%{eclipse_micro}/os/linux/%{eclipse_arch}
ln -sf %{_libdir}/libswt-motif-%{swt_version}.so libswt-motif-%{swt_version}.so
ln -sf %{_libdir}/%{name}/libswt-kde-motif-%{swt_version}.so libswt-kde-motif-%{swt_version}.so
ln -sf %{_libdir}/%{name}/libswt-gnome-motif-%{swt_version}.so libswt-gnome-motif-%{swt_version}.so
popd

### end libswt-motif symlinks
%endif

### begin jar symlinks
(cd $RPM_BUILD_ROOT%{_jnidir} && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)
### end jar symlinks

# Script
mkdir -p $RPM_BUILD_ROOT%{_bindir}
perl -pe \
  's|/usr/lib/eclipse/|%{_datadir}/%{name}/|g ;
   s|/etc/|%{_sysconfdir}/|g ;
   s|/usr/bin/|%{_bindir}/|g' \
  %{SOURCE1} > $RPM_BUILD_ROOT%{_bindir}/eclipse

# Default config
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
perl -pe 's|/usr/lib/eclipse/|%{_datadir}/%{name}/|g' \
  %{SOURCE6} > $RPM_BUILD_ROOT%{_sysconfdir}/eclipse.conf

# mdk icons
install -p -D -m0644 %{SOURCE5} $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
install -p -D -m0644 %{SOURCE4} $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -p -D -m0644 %{SOURCE3} $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

# mdk menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}-mdkmenu):\
 command="%{_bindir}/%{name}"\
 needs="X11"\
 section="Applications/Development/Development environments"\
 mimetypes="text/html;text/plain"\
 title="Eclipse"\
 longtitle="%{pkg_summary}"\
 icon="%{name}.png"
EOF

# rh/freedesktop.org icons
install -p -D -m0644 %{SOURCE5} \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
install -p -D -m0644 %{SOURCE4} \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
install -p -D -m0644 %{SOURCE3} \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
install -d -m0755 $RPM_BUILD_ROOT%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/%{name}.png \
  $RPM_BUILD_ROOT%{_datadir}/pixmaps

# freedesktop.org menu entry
install -p -D -m0644 %{SOURCE2} \
  $RPM_BUILD_ROOT%{_datadir}/applnk/Development/jpackage-%{name}.desktop

# legacy menu entry
install -p -D -m0644 %{SOURCE2} \
  $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Development/%{name}.desktop

cat %{SOURCE7} > %{name}-jdt.install
cat %{SOURCE8} > %{name}-pde.install
cat %{SOURCE9} > %{name}-platform.install

cat %{SOURCE10} > %{name}-source.install
cat %{SOURCE11} > %{name}-webdav-ftp.install
cat %{SOURCE12} > libswt%{eclipse_majmin}-gtk2.install
cat %{SOURCE13} > libswt%{eclipse_majmin}-motif.install
cat %{SOURCE14} > %{name}-gtk.install
cat %{SOURCE15} > %{name}-motif.install

cat >> $RPM_BUILD_ROOT%{_datadir}/%{name}/.eclipseproduct << EOF
name=Eclipse Platform
id=org.eclipse.platform
version=%{eclipse_majmin}.%{eclipse_micro}
EOF

pushd $RPM_BUILD_ROOT%{_datadir}/%{name}

pushd plugins/org.junit_* && \
ln -sf %{_javadir}/junit.jar junit.jar && \
popd

#pushd plugins/org.eclipse.core.resources_*/lib && \
#ln -sf %{_javadir}/ant.jar ant.jar && \
#popd

pushd plugins/org.apache.ant_* && \
ln -sf %{_javadir}/ant.jar ant.jar && \
ln -sf %{_javadir}/ant-optional.jar optional.jar && \
popd

pushd plugins/org.apache.xerces_* && \
# xml-commons-apis disabled due to
# http://developer.java.sun.com/developer/bugParade/bugs/4749727.html
#ln -sf %{_javadir}/xml-commons-apis.jar xmlParserAPIs.jar && \
# Xerces 2.0.1 or XML4J 4.0.7 needed here.
#ln -sf %{_javadir}/oldxerces-j2.jar xercesImpl.jar && \
popd

pushd plugins/org.apache.lucene_* && \
ln -sf %{_javadir}/lucene.jar lucene-1.2.jar && \
popd

# The tomcat stuff needs org.apache.jasper.compiler.JavaCompiler, which isn't
# in TC 4.1.21, but is in 4.0.6.
pushd plugins/org.eclipse.tomcat_* && \
#ln -sf %{tomcat4_dir}/bin/bootstrap.jar bootstrap.jar && \
#ln -sf %{tomcat4_dir}/server/lib/catalina.jar catalina.jar && \
ln -sf %{_javadir}/commons-logging.jar commons-logging.jar && \
ln -sf %{_javadir}/regexp.jar jakarta-regexp-1.2.jar && \
#ln -sf %{tomcat4_dir}/common/lib/jasper-compiler.jar jasper-compiler.jar && \
#ln -sf %{tomcat4_dir}/common/lib/jasper-runtime.jar jasper-runtime.jar && \
#ln -sf %{tomcat4_dir}/common/lib/naming-common.jar naming-common.jar && \
#ln -sf %{tomcat4_dir}/common/lib/naming-factory.jar naming-factory.jar && \
#ln -sf %{tomcat4_dir}/common/lib/naming-resources.jar naming-resources.jar &&\
ln -sf %{_javadir}/servlet.jar servlet.jar && \
#ln -sf %{tomcat4_dir}/server/lib/servlets-common.jar servlets-common.jar && \
#ln -sf %{tomcat4_dir}/server/lib/servlets-default.jar servlets-default.jar &&\
#ln -sf %{tomcat4_dir}/server/lib/servlets-invoker.jar servlets-invoker.jar &&\
#ln -sf %{tomcat4_dir}/server/lib/servlets-manager.jar servlets-manager.jar &&\
#ln -sf %{tomcat4_dir}/server/lib/servlets-manager.jar servlets-manager.jar &&\
#ln -sf %{tomcat4_dir}/server/lib/tomcat-coyote.jar tomcat-coyote.jar && \
#ln -sf %{tomcat4_dir}/server/lib/tomcat-http11.jar tomcat-http11.jar && \
#ln -sf %{tomcat4_dir}/server/lib/tomcat-util.jar tomcat-util.jar && \
popd

popd

#unzip %{SOURCE16} -d $RPM_BUILD_ROOT/%{_datadir}/%{name}/plugins
#unzip %{SOURCE17} -d $RPM_BUILD_ROOT/%{_datadir}/%{name}/plugins


%clean
rm -rf $RPM_BUILD_ROOT


%post gtk2
update-alternatives --install %{_libdir}/%{name}/eclipse \
  eclipse_bin %{_libdir}/%{name}/eclipse-gtk2 101

%postun gtk2
if [ "$1" = "0" ]; then
  update-alternatives --remove eclipse_bin %{_libdir}/%{name}/eclipse-gtk2
fi

%post motif
update-alternatives --install %{_libdir}/%{name}/eclipse \
  eclipse_bin %{_libdir}/%{name}/eclipse-motif 100

%postun motif
if [ "$1" = "0" ]; then
  update-alternatives --remove eclipse_bin %{_libdir}/%{name}/eclipse-motif
fi

%post mdkmenu
%{update_menus}

%postun mdkmenu
%{clean_menus}


%files platform -f %{name}-platform.install
%defattr(0644,root,root,0755)
%dir %{_datadir}/%{name}
%dir %{_libdir}/%{name}
%{_datadir}/%{name}/.eclipseproduct
%{_datadir}/%{name}/install.ini
%{_datadir}/%{name}/startup.jar
%{_datadir}/%{name}/icon.xpm
%attr(0755,root,root) %{_libdir}/%{name}/libcore*
%attr(0755,root,root) %{_libdir}/%{name}/libupdate*
%{_datadir}/%{name}/eclipse
#%{_datadir}/%{name}/plugins/%{tomcat_plug}
#%{_datadir}/%{name}/plugins/%{easy_struts}

%files gtk2 -f %{name}-gtk.install
%defattr(0644,root,root,0755)
%attr(0755,root,root) %{_libdir}/%{name}/eclipse-gtk2

%files -n %{libname}-gtk2 -f libswt%{eclipse_majmin}-gtk2.install
%defattr(0644,root,root,0755)
%{_libdir}/libswt-gtk-%{swt_version}.so
%{_libdir}/libswt-pi-gtk-%{swt_version}.so
%{_libdir}/libswt-gnome-gtk-%{swt_version}.so
%{_jnidir}/swt-gtk*.jar
%{_jnidir}/swt-pi-gtk*.jar

%if %{?_with_motif:1}%{!?_with_motif:0}
%files motif -f %{name}-motif.install
%defattr(0644,root,root,0755)
%attr(0755,root,root) %{_libdir}/%{name}/eclipse-motif

%files -n %{libname}-motif -f libswt%{eclipse_majmin}-motif.install
%defattr(0644,root,root,0755)
%{_libdir}/libswt-motif-%{swt_version}.so
%{_jnidir}/swt-motif*.jar
%endif

%files jdt -f %{name}-jdt.install
%defattr(0644,root,root,0755)

%files ftp-webdav -f %{name}-webdav-ftp.install
%defattr(0644,root,root,0755)

%files source -f %{name}-source.install
%defattr(0644,root,root,0755)

%files pde -f %{name}-pde.install
%defattr(0644,root,root,0755)

%files scripts
%defattr(0644,root,root,0755)
%attr(0755,root,root) %{_bindir}/eclipse
%{_datadir}/applnk/Development/*
%{_datadir}/pixmaps/*
%{_datadir}/icons/*/*/apps/*
%config(noreplace) %{_sysconfdir}/eclipse.conf
%attr(0755,root,root) %ghost %{_libdir}/%{name}/eclipse

%files mdkmenu
%defattr(0644,root,root,0755)
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%files legacymenu
%defattr(0644,root,root,0755)
%{_sysconfdir}/X11/applnk/Development/*


%changelog
* Thu Jun 10 2004 Shiro Yamada <shiro@miraclelinux.com> 2.1.2-6jpp.3AX
- rebuild with servletapi5
- removed plugins

* Mon Jun  7 2004 Shiro Yamada <shiro@miraclelinux.com> 2.1.2-6jpp.2AX
- incorporated tomcat and easy-struts plugins
- fixed desktop menu

* Mon May 10 2004 Shiro Yamada <shiro@miraclelinux.com> 2.1.2-6jpp.1AX
- rebuild for Asianux 1.0
- backported patch #17
- merged the diff in SPEC file from 2.1.3-2jpp

* Sun Nov 16 2003 David Walluck <david@anti-microsoft.org> 0:2.1.2-6jpp
- 2.1.2 public release
- %{_datadir}/%{name}/plugins is now used for plugins, and you must
  move any plugins that you have manually installed into
  %{_libdir}/%{name}/plugins to the new location. The new location is
  not expected to change

* Sat Nov 15 2003 David Walluck <david@anti-microsoft.org> 0:2.1.2-5jpp
- apply patch from Ville to remove some motif conditional parts
- apply patch from Ville for .desktop
- make platform own %%{_libdir}/%{name}

* Fri Nov 14 2003 David Walluck <david@anti-microsoft.org> 0:2.1.2-4jpp
- have platform package provide and obsolete sdk package
- fold javac package back into jdt package

* Tue Nov 11 2003 David Walluck <david@anti-microsoft.org> 0:2.1.2-3jpp
- /usr/bin/mozilla is now required by eclipse-ui and not eclipse-platform
- make libswt2 required by motif and gtk subpackages
- disable motif by default (unsupported)
- motif and gtk related files are now fully separated from other packages

* Mon Nov 10 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.1.2-2jpp
- Don't use the Mandrake-specific %%mklibname macro.
- Update freedesktop.org desktop entry categories.
- Try to look up the QT dir in portable fashion.
- Refactor refactor-rename patch into two due to spaces in pathnames.
- Fix $RPM_OPT_FLAGS handling.
- Untabify specfile.

* Sat Nov 08 2003 David Walluck <david@anti-microsoft.org> 0:2.1.2-1jpp
- 2.1.2

* Thu Nov 06 2003 David Walluck <david@anti-microsoft.org> 0:2.1.1-4jpp
- use versioned dirs
- add pde, javac, and motif subpackages and remove sdk subpackage
- patches from Debian
- fail build on error
- add libswt (GTK, Motif) packages

* Sun Sep 21 2003 David Walluck <david@anti-microsoft.org> 0:2.1.1-3jpp
- apply new patch for non-working rename action from Michael Reinsch
- build for Mandrake 9.2 with Sun JDK 1.4.2

* Thu Aug 21 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.1.1-2jpp
- Include missed plugins: org.eclipse.ui.versioncheck (platform),
  org.eclipse.pde.source (sdk).  Thanks to Markus Härnvi for the heads up.

* Sun Jun 29 2003 Michael Reinsch <mr@uue.org> 0:2.1.1-1jpp
- patch for non-working rename action
- eclipse 2.1.1
- Ville's comments: patch not applied, it didn't fix the problem completely.
  Still built with Sun's 1.3.1.08.

* Sun Jun  8 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.1.0-4jpp
- Use xmlParserAPIs.jar that comes with Eclipse instead of xml-commons-apis:
  <http://developer.java.sun.com/developer/bugParade/bugs/4749727.html>

* Sun Jun  1 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.1.0-3jpp
- Rebuild with Sun's 1.3.1_08 to work around Eclipse Java 1.4.x build bug:
  <https://bugs.eclipse.org/bugs/show_bug.cgi?id=37846>
- Drop %%{release} from subpackage interdependencies in order to make it
  possible to do partial subpackage-only updates in the future.
- Make legacymenu conflict with redhat-menus.
- Add icon symlink in %%{_datadir}/pixmaps.

* Mon Apr 21 2003 David Walluck <david@anti-microsoft.org> 0:2.1.0-2jpp
- fix mdkmenu
- add Distribution and Vendor tags

* Thu Apr 03 2003 David Walluck <david@anti-microsoft.org> 0:2.1.0-1jpp
- 2.1
- add %{name}-make-ld.patch to work around problems building on Mandrake 9.1
- add Mandrake 9.1 comments to BuildRequires

* Wed Mar 26 2003 Ville Skyttä <jpackage-discuss at zarb.org> - 0:2.1.0-0.rc3b.3jpp
- Rebuilt for JPackage 1.5.

* Tue Mar 25 2003 Ville Skyttä <jpackage-discuss at zarb.org> - 0:2.1.0-0.rc3b.2jpp
- Add java.library.path and -Xms64M to default config.
- Don't use "-dev bin" by default.
- Use X-JPackage instead of X-Red-Hat-Extra in standard menu entry.
- Fix MDK menu entry title and summary.

* Mon Mar 24 2003 Ville Skyttä <jpackage-discuss at zarb.org> - 0:2.1.0-0.rc3b.1jpp
- Update to 2.1.0 RC3b.
- Spec file and build cleanups, mostly from David Walluck.
- No longer requires csh.
- Made *.so in the gtk and platform packages executable.
- The %%{_libdir}/%{name} directory is now owned by the platform package.

* Fri Mar 14 2003 Ville Skyttä <jpackage-discuss at zarb.org> - 2.1.0-0.rc2.2jpp
- Include a couple of platform files missing from the previous build.
- Remove bogus files from platform, ftp-webdav and sdk file lists.
- Abort with error if the file lists refer to nonexistent files.

* Sun Mar  9 2003 Ville Skyttä <jpackage-discuss at zarb.org> - 2.1.0-0.rc2.1jpp
- Update to 2.1.0 RC2.
- Merge David Walluck's packaging work.
- Use JPackage lucene.
- Don't include Motif stuff.

* Thu Mar  6 2003 Ville Skyttä <jpackage-discuss at zarb.org> - 2.1.0-0.rc1.0jpp
- First try at packaging.
